Bug 27791 - 307 redirects of POSTs should use POST, not GET
Summary: 307 redirects of POSTs should use POST, not GET
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Page Loading (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Brady Eidson
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2009-07-28 19:01 PDT by Brady Eidson
Modified: 2009-08-01 10:44 PDT (History)
2 users (show)

See Also:


Attachments
Mac and Windows fix, plus layout test (18.76 KB, text/plain)
2009-07-28 19:03 PDT, Brady Eidson
no flags Details
Now as a patch... (18.76 KB, patch)
2009-07-29 10:30 PDT, Brady Eidson
sam: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Brady Eidson 2009-07-28 19:01:14 PDT
<rdar://problem/3802660> 307 (Temporary Redirect) responses should use POST, not GET

Right now, I only know that this effects CFNetwork-based ports (Mac and Windows), which is where my patch will target.
Comment 1 Brady Eidson 2009-07-28 19:03:25 PDT
Created attachment 33687 [details]
Mac and Windows fix, plus layout test
Comment 2 Brady Eidson 2009-07-29 10:30:32 PDT
Created attachment 33722 [details]
Now as a patch...
Comment 3 Adam Barth 2009-07-31 22:03:24 PDT
Assigning to Brady for landing.
Comment 4 Brady Eidson 2009-08-01 10:44:46 PDT
Whoops, sorry - t'was already landed.

Sending        LayoutTests/ChangeLog
Adding         LayoutTests/http/tests/loading/redirect-methods-expected.txt
Adding         LayoutTests/http/tests/loading/redirect-methods.html
Adding         LayoutTests/http/tests/loading/resources/redirect-methods-form.html
Adding         LayoutTests/http/tests/loading/resources/redirect-methods-result.php
Sending        WebCore/ChangeLog
Sending        WebCore/platform/network/cf/ResourceHandleCFNet.cpp
Sending        WebCore/platform/network/mac/ResourceHandleMac.mm
Transmitting file data ........
Committed revision 46548.